summaryrefslogtreecommitdiff
path: root/dev-ruby/request_store
diff options
context:
space:
mode:
Diffstat (limited to 'dev-ruby/request_store')
-rw-r--r--dev-ruby/request_store/Manifest3
-rw-r--r--dev-ruby/request_store/metadata.xml12
-rw-r--r--dev-ruby/request_store/request_store-1.0.5.ebuild22
-rw-r--r--dev-ruby/request_store/request_store-1.4.1.ebuild24
-rw-r--r--dev-ruby/request_store/request_store-1.5.0.ebuild23
5 files changed, 84 insertions, 0 deletions
diff --git a/dev-ruby/request_store/Manifest b/dev-ruby/request_store/Manifest
new file mode 100644
index 000000000000..fbc5f171ccbc
--- /dev/null
+++ b/dev-ruby/request_store/Manifest
@@ -0,0 +1,3 @@
+DIST request_store-1.0.5.gem 6656 BLAKE2B 2bd96d3dd40e846e8b36cae338c1f95ec812d6121db332e60c85b4c8e043fe81229e9e2f7f8f3c1ef3d7c592515bb69d5dae3cc4755f181fd29a1eb7e7c6254d SHA512 0d69ebdb8d3f6df11f89780c250b5fcc702258e19d7fbf8e2273614ecc220ee25e059a596a8a7e39bcc426f8d834cab38c161c0c1a800cc7ebdba3daa810e727
+DIST request_store-1.4.1.gem 9216 BLAKE2B 06d88b26dfb1834e1a30bd17780e19db75dacfb07a18324efc06dfe17aecad6232f7d1bf7a42bf152c5350926e2d64cfcd8d86f12178d2deb0f8c2f4ea6d95c3 SHA512 83e75e866b838e79c99c60197f5fe5da106619f645d9f244c55e1f1ca4bfa82f0bd67d6f10f74be857b8a359484799d44ec9c4f0b926bba2e2699de231360537
+DIST request_store-1.5.0.gem 9216 BLAKE2B 75dd49c33cfebcf0deef78be1fe054feb7198b42409ec4b339cefdbdd4fc066159bd18ae6db8001edd0fe20e1e8be1021812e6ffd033eed0bd9730603aaa2daf SHA512 c01d4505d2bc0b88456d0bc49416fcbea67da1e2ab6ef0c7fc900fae8856d82157dc39d2e1d2f299000f74b140f6f13d7352f4684e247d103bbaab7b1705910f
diff --git a/dev-ruby/request_store/metadata.xml b/dev-ruby/request_store/metadata.xml
new file mode 100644
index 000000000000..6e4b70838687
--- /dev/null
+++ b/dev-ruby/request_store/metadata.xml
@@ -0,0 +1,12 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <upstream>
+ <remote-id type="github">steveklabnik/request_store</remote-id>
+ </upstream>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-ruby/request_store/request_store-1.0.5.ebuild b/dev-ruby/request_store/request_store-1.0.5.ebuild
new file mode 100644
index 000000000000..2a630a4ab724
--- /dev/null
+++ b/dev-ruby/request_store/request_store-1.0.5.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=5
+USE_RUBY="ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Per-request global storage for Rack"
+HOMEPAGE="https://github.com/steveklabnik/request_store"
+
+LICENSE="MIT"
+SLOT="1.0.5"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_all_prepare() {
+ sed -i -e "/bundler/d" Rakefile || die
+}
diff --git a/dev-ruby/request_store/request_store-1.4.1.ebuild b/dev-ruby/request_store/request_store-1.4.1.ebuild
new file mode 100644
index 000000000000..45fd904cde59
--- /dev/null
+++ b/dev-ruby/request_store/request_store-1.4.1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Per-request global storage for Rack"
+HOMEPAGE="https://github.com/steveklabnik/request_store"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/rack-1.4:*"
+
+all_ruby_prepare() {
+ sed -i -e "/bundler/ s:^:#:" Rakefile || die
+}
diff --git a/dev-ruby/request_store/request_store-1.5.0.ebuild b/dev-ruby/request_store/request_store-1.5.0.ebuild
new file mode 100644
index 000000000000..09f4d51a5652
--- /dev/null
+++ b/dev-ruby/request_store/request_store-1.5.0.ebuild
@@ -0,0 +1,23 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+USE_RUBY="ruby24 ruby25 ruby26 ruby27"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Per-request global storage for Rack"
+HOMEPAGE="https://github.com/steveklabnik/request_store"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+ruby_add_rdepend ">=dev-ruby/rack-1.4:*"
+
+all_ruby_prepare() {
+ sed -i -e "/bundler/ s:^:#:" Rakefile || die
+}